#!/bin/sh
set +e 

waitForService()
{
    ./wait-for-it.sh $1 -t 2 1>/dev/null 2>&1
    status=$?
    while [ $status != 0 ]
    do
        echo "[x] wating for $1..."
        sleep 1
        ./wait-for-it.sh $1 -t 2 1>/dev/null 2>&1
        status=$?
    done
}

# waitForService "api-registry:8500"

set -e

# first arg is `-f` or `--some-option`
if [ "${1#-}" != "$1" ]; then
    set -- envoy "$@"
fi

# if our command is a valid Envoy subcommand, let's invoke it through Envoy instead
# (this allows for "docker run envoy version", etc)
if envoy "$1" --help >/dev/null 2>&1
then
    set -- envoy "$@"
else
    echo "= '$1' is not a Envoy command: assuming shell execution." 1>&2
fi

# echo "Executing: $@"
exec "$@"
